dpkg-divert(8)

NAME
dpkg-divert - Hinwegsetzen über die Paketversion einer Datei

SYNOPSIS
dpkg-divert [Optionen] [--add] <Datei>
dpkg-divert [Optionen] --remove <Datei>
dpkg-divert [Optionen] --list <Glob-Muster>
dpkg-divert [Optionen] --truename <Datei>

BESCHREIBUNG
Datei »Diversionen« (Umlenkungen) sind eine Möglichkeit, dpkg(1) dazu zu zwingen, eine Datei nicht an ihren Standardplatz, sondern an einem »umgelenkten« Ort zu installieren. Umlenkungen können innerhalb der Debian-Paketskripte verwendet werden, um eine Datei beiseitezuschieben, wenn sie einen Konflikt auslöst. Systemadministratoren können sie auch verwenden, um sich über die Konfigurationsdateien einiger Pakete hinwegzusetzen, oder wann immer einige Dateien (die nicht als »Conffiles« markiert sind) von Dpkg erhalten werden müssen, wenn eine neuere Version eines Paketes, die diese Dateien enthält, installiert wird.

dpkg-divert ist das Hilfswerkzeug, das dazu verwendet wird, die Liste der Umleitungen zu erstellen und zu aktualisieren. Es funktioniert in drei grundlegenden Modi: Hinzufügen, Entfernen und Auflisten von Umleitungen. Die Optionen sind respektive --add, --remove und --list. Zusätzlich kann es den echten Namen für eine umgeleitete Datei mit --truename ausgeben. Andere Optionen (unten aufgeführt) können auch angegeben werden.

OPTIONEN

--admindir <Verzeichnis>
    Setze das Dpkg-Datenverzeichnis auf <Verzeichnis> (Standard: /var/lib/dpkg).

--divert <Umlenkziel>
    <Umlenkziel>> ist der Zielort, wo die Versionen der <Datei>, wie sie von anderen Paketen bereitgestellt wird, hin umgelenkt wird.

--local
    Gibt an, dass alle Versionen dieser Datei umgeleitet sind. Dies bedeutet, dass es keine Ausnahmen gibt, und egal was für ein Paket auch installiert ist, die Datei ist umgeleitet. Dies kann vom Administrator verwendet werden, um eine lokal geänderte Version zu installieren.

--package <Paket>
    <Paket> ist der Name des Pakets, dessen Kopie von <Datei> nicht umgeleitet wird, d.h. <Datei> wird für alle Pakete außer <Paket> umgeleitet.

--quiet
    Ruhiger Modus, d.h. keine langatmige Ausgabe.

--rename
    Schiebe die Dateien tatsächlich beiseite (oder zurück). dpkg-divert wird den Arbeitsvorgang abbrechen, falls die Zieldatei bereits existiert.

--test
    Testmodus, d.h. führe keine Änderungen durch, sondern zeige sie lediglich.

--help
    Gebe kurze Bedienungsanweisungen aus und beende sich erfolgreich.

--version
    Gibt Programmnamen und Version aus und beende sich erfolgreich

BEMERKUNGEN
Beim Hinzufügen ist die Standardeinstellung --local und --divert <Originalname>.distrib. Beim Entfernen müssen, falls angegeben, --package oder --local und --divert übereinstimmen. Verzeichnisse können mit dpkg-divert nicht umgeleitet werden. Vorsicht sollte beim Umleiten von Laufzeit-Bibliotheken walten gelassen werden, da ldconfig(8) einen symbolischen Link, basierend auf dem in der Bibliothek eingebetteten DT_SONAME-Feld erstellt. Da ldconfig keine Umleitungen anerkennt (nur Dpkg tut dies), kann der Symlink am Ende auf die umgeleitete Bibliothek zeigen, falls die umgeleitete Bibliothek den gleichen SONAME wie die nicht-umgeleitete hat.

BEISPIELE
Um alle Kopien von /usr/bin/example auf /usr/bin/example.foo umzuleiten, d.h. alle Pakete, die /usr/bin/example zur Verfügung stellen, dazu anzuleiten, diese Datei stattdessen als /usr/bin/example.foo zu installieren und die Umbenennung, falls notwendig, durchzuführen:

dpkg-divert --divert /usr/bin/example.foo --rename /usr/bin/example

Um diese Umleitung zu entfernen:

dpkg-divert --rename --remove /usr/bin/example

Um für jedes Paket - außer Ihrem eigenen wibble-Paket -, das versucht, /usr/bin/example zu installieren, dieses auf /usr/bin/example.foo umzulenken:

dpkg-divert --package wibble --divert /usr/bin/example.foo --rename /usr/bin/example

Um diese Umleitung zu entfernen:

dpkg-divert --package wibble --rename --remove /usr/bin/example

DATEIEN

/var/lib/dpkg/diversions
    Datei, die die aktuelle Liste von Umleitungen des Systems enthält. Sie befindet sich im Dpkg-Administrationsverzeichnis, zusammen mit anderen für Dpkg wichtigen Dateien, wie »status« oder »available«.
    Hinweis: dpkg-divert erhält die alte Kopie dieser Datei, mit der Endung »-old«, bevor es sie mit der neuen ersetzt.

SIEHE AUCH
dpkg(1).

AUTOR
Copyright (C) 1995 Ian Jackson.

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

Die deutsche Übersetzung wurde 2006 von Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.